#include <iostream>
#include <string>

using namespace std;

int main()
{
    string slova, rec, pomocniString;
    int a1, a2, zbir;
    cin >> slova;
    cin >> a1 >> a2;
    zbir = a1+a2-2;
    if(abs(a1-a2)<=1){
        if(a1>=a2){
            rec = slova;
            if(zbir%2 == 0){
                for(int x=0; x<zbir/2; ++x)
                    rec += slova;}
            else{
                for(int x=0; x<(zbir-1)/2; ++x)
                    rec += slova;
                rec += slova[0];}}
        else{
            pomocniString = slova[1];
            pomocniString += slova[0];
            rec = pomocniString;
            if(zbir%2 == 0){
                for(int x=0; x<zbir/2; ++x)
                    rec += pomocniString;}
            else{
                for(int x=0; x<(zbir-1)/2; ++x)
                    rec += pomocniString;
                rec += slova[1];}}
        cout << rec;}
    else
        cout << "nemoguce";

}